Summary: Kyua - Command line interface
Name: kyua-cli
Version: 0.9
Release: 4%{?dist}
License: BSD
Group: Development/Tools
URL: https://github.com/jmmv/kyua/

Source0: https://github.com/jmmv/kyua/releases/download/${name}-${version}/%{name}-%{version}.tar.gz
Source1: README.Fedora

Requires: lutok >= 0.4
Requires: kyua-testers >= 0.2
Requires: sqlite >= 3.6.22
BuildRequires: autoconf >= 2.69
BuildRequires: libatf-c++-devel >= 0.20
BuildRequires: libatf-sh-devel >= 0.20
BuildRequires: lutok-devel >= 0.4-1
BuildRequires: kyua-testers-devel >= 0.2
BuildRequires: sqlite-devel >= 3.6.22

%define _testsdir %{_libexecdir}/kyua-cli/tests

%description
Kyua (pronounced Q.A.) is a testing framework for both developers and
users.  Kyua is different from most other testing frameworks in that it
puts the end user experience before anything else.  There are multiple
reasons for users to run the tests themselves, and Kyua ensures that
they can do so in the most convenient way.

This module, kyua-cli, provides the command-line interface to the Kyua
run-time system: in other words, the 'kyua' binary.  The major purpose
of this tool is to run test cases and generate unified reports of
their results.

%prep
%setup -q
#patch0 -p0

# Put the README.Fedora file in the top-level directory of the source tree so
# that the %doc call below can pick it up.
cp -p %{SOURCE1} README.Fedora

%build
%configure INSTALL="/usr/bin/install -p" \
           --without-doxygen
make %{?_smp_mflags} pkgtestsdir=%{_testsdir} testsdir=%{_testsdir}

%check
# The check stage runs the tests using Kyua itself and Kyua accesses the home
# directory to store logs and the database.  Override HOME to a known value to
# ensure these files get discarded.
HOME=$(pwd)/check make check pkgtestsdir=%{_testsdir} testsdir=%{_testsdir}

%install
make install DESTDIR=%{buildroot} doc_DATA= \
             pkgtestsdir=%{_testsdir} testsdir=%{_testsdir}

%files
%doc AUTHORS COPYING NEWS README
%{_bindir}/kyua
%{_datadir}/kyua-cli
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man7/*

%package tests
Summary: Run-time tests of the Kyua toolchain
Requires: %{name} = %{version}-%{release}
Requires: libatf-c++ >= 0.20
Requires: libatf-sh >= 0.20

%description tests
This package installs the run-time tests for the Kyua toolchain.
Please see the README.Fedora file in the documentation directory for further
details on how to run the installed tests.

%files tests
%doc README.Fedora
%{_testsdir}

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun May 03 2015 Kalev Lember <kalevlember@gmail.com> - 0.9-3
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Aug 08 2014 Julio Merino <julio@meroh.net> 0.9-1
- Update to 0.9.

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Feb 11 2014 Julio Merino <julio@meroh.net> 0.8-2
- Depend on atf-0.20 for libatf-c++ ABI changes.

* Sat Dec 07 2013 Julio Merino <julio@meroh.net> 0.8-1
- Update to 0.8.

* Tue Nov 26 2013 Julio Merino <julio@meroh.net> 0.7-1
- Update to 0.7.

* Sat Aug 17 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.6-1
- Update to 0.6

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 14 2013 Julio Merino <jmmv@google.com> 0.5-4
- Use Lutok 0.3 to support Lua 5.2.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 10 2012 Julio Merino <jmmv@google.com> 0.5-1
- Updated to new upstream version 0.5.
- Made the installation of the package preserve the build times of the files.

* Mon Jun 18 2012 Julio Merino <jmmv@google.com> 0.4-2
- Added the kyua-tests package providing the run-time tests of Kyua, readily
  runnable by the end users.

* Thu Jun 07 2012 Julio Merino <jmmv@google.com> 0.4-1
- Initial version of the package.
